From ddc3c4e95c436d886d6315afef203eb0ef0e908b Mon Sep 17 00:00:00 2001
From: midipix <writeonce@midipix.org>
Date: Fri, 21 Dec 2018 03:27:43 -0500
Subject: project: custom config: wrap test sections with (set +e) / (set -e).

---
 project/config/cfgdefs.sh | 6 ++++++
 1 file changed, 6 insertions(+)

(limited to 'project/config')

diff --git a/project/config/cfgdefs.sh b/project/config/cfgdefs.sh
index 615f740..2c7a3a6 100644
--- a/project/config/cfgdefs.sh
+++ b/project/config/cfgdefs.sh
@@ -305,11 +305,17 @@ cfgdefs_detect_python_version
 # cfgdefs.in --> cfgdefs.mk
 cfgdefs_output_custom_defs
 
+# strict: some tests might fail
+set +e
+
 # target-specific tests
 cfgdefs_perform_target_tests
 
 # native system tests
 cfgdefs_perform_native_tests
 
+# strict: restore mode
+set -e
+
 # all done
 return 0
-- 
cgit v1.2.3